using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;
using System.Linq;

// namespaces...
namespace EntityFirst.Module.BusinessObjects
{
    // public classes...
    public class EmployeeTransactionsConfiguration : EntityTypeConfiguration<EmployeeTransactions>
    {
        // public constructors...
        public EmployeeTransactionsConfiguration()
        {
            HasKey(t => t.trans_id);
            Property(t => t.trans_id)
                .HasDatabaseGeneratedOption(DatabaseGeneratedOption.None);
            Property(t => t.trans_plhres_or)
                .IsFixedLength()
                .HasMaxLength(1);
            Property(t => t.trans_oles_ergas)
                .IsFixedLength()
                .HasMaxLength(1);
            Property(t => t.trans_cod_eid1)
                .IsFixedLength()
                .HasMaxLength(6);
            Property(t => t.trans_cod_eid2)
                .IsFixedLength()
                .HasMaxLength(6);
            Property(t => t.trans_cod_eid3)
                .IsFixedLength()
                .HasMaxLength(6);
            Property(t => t.trans_pak_kal1)
                .IsFixedLength()
                .HasMaxLength(4);
            Property(t => t.trans_pak_kal2)
                .IsFixedLength()
                .HasMaxLength(4);
            Property(t => t.trans_pak_kal3)
                .IsFixedLength()
                .HasMaxLength(4);
            Property(t => t.trans_kad)
                .IsFixedLength()
                .HasMaxLength(4);
            Property(t => t.empl_pragmat_hmeromisth)
                .IsFixedLength()
                .HasMaxLength(1);
            Property(t => t.trans_anad_eee_colname)
                .IsFixedLength()
                .HasMaxLength(40);
            Property(t => t.trans_kad2)
                .IsFixedLength()
                .HasMaxLength(4);
            Property(t => t.trans_kad3)
                .IsFixedLength()
                .HasMaxLength(4);
            Property(t => t.empl_autasfal)
                .IsFixedLength()
                .HasMaxLength(1);
            ToTable("empl_trans");
            Property(t => t.trans_id).HasColumnName("trans_id");
            Property(t => t.kind_apod_id).HasColumnName("kind_apod_id");
            Property(t => t.empl_id).HasColumnName("empl_id");
            Property(t => t.trans_month).HasColumnName("trans_month");
            Property(t => t.trans_year).HasColumnName("trans_year");
            Property(t => t.trans_h1).HasColumnName("trans_h1");
            Property(t => t.trans_h2).HasColumnName("trans_h2");
            Property(t => t.trans_h3).HasColumnName("trans_h3");
            Property(t => t.trans_h4).HasColumnName("trans_h4");
            Property(t => t.trans_h5).HasColumnName("trans_h5");
            Property(t => t.trans_h6).HasColumnName("trans_h6");
            Property(t => t.trans_h7).HasColumnName("trans_h7");
            Property(t => t.trans_h8).HasColumnName("trans_h8");
            Property(t => t.trans_h9).HasColumnName("trans_h9");
            Property(t => t.trans_h10).HasColumnName("trans_h10");
            Property(t => t.trans_h11).HasColumnName("trans_h11");
            Property(t => t.trans_h12).HasColumnName("trans_h12");
            Property(t => t.trans_h13).HasColumnName("trans_h13");
            Property(t => t.trans_h14).HasColumnName("trans_h14");
            Property(t => t.trans_h15).HasColumnName("trans_h15");
            Property(t => t.trans_h16).HasColumnName("trans_h16");
            Property(t => t.trans_h17).HasColumnName("trans_h17");
            Property(t => t.trans_h18).HasColumnName("trans_h18");
            Property(t => t.trans_h19).HasColumnName("trans_h19");
            Property(t => t.trans_h20).HasColumnName("trans_h20");
            Property(t => t.trans_h21).HasColumnName("trans_h21");
            Property(t => t.trans_h22).HasColumnName("trans_h22");
            Property(t => t.trans_h23).HasColumnName("trans_h23");
            Property(t => t.trans_h24).HasColumnName("trans_h24");
            Property(t => t.trans_h25).HasColumnName("trans_h25");
            Property(t => t.trans_h26).HasColumnName("trans_h26");
            Property(t => t.trans_h27).HasColumnName("trans_h27");
            Property(t => t.trans_h28).HasColumnName("trans_h28");
            Property(t => t.trans_h29).HasColumnName("trans_h29");
            Property(t => t.trans_h30).HasColumnName("trans_h30");
            Property(t => t.trans_d1).HasColumnName("trans_d1");
            Property(t => t.trans_d2).HasColumnName("trans_d2");
            Property(t => t.trans_d3).HasColumnName("trans_d3");
            Property(t => t.trans_d4).HasColumnName("trans_d4");
            Property(t => t.trans_d5).HasColumnName("trans_d5");
            Property(t => t.trans_d6).HasColumnName("trans_d6");
            Property(t => t.trans_d7).HasColumnName("trans_d7");
            Property(t => t.trans_d8).HasColumnName("trans_d8");
            Property(t => t.trans_d9).HasColumnName("trans_d9");
            Property(t => t.trans_d10).HasColumnName("trans_d10");
            Property(t => t.trans_d11).HasColumnName("trans_d11");
            Property(t => t.trans_d12).HasColumnName("trans_d12");
            Property(t => t.trans_d13).HasColumnName("trans_d13");
            Property(t => t.trans_d14).HasColumnName("trans_d14");
            Property(t => t.trans_d15).HasColumnName("trans_d15");
            Property(t => t.trans_d16).HasColumnName("trans_d16");
            Property(t => t.trans_d17).HasColumnName("trans_d17");
            Property(t => t.trans_d18).HasColumnName("trans_d18");
            Property(t => t.trans_d19).HasColumnName("trans_d19");
            Property(t => t.trans_d20).HasColumnName("trans_d20");
            Property(t => t.trans_d21).HasColumnName("trans_d21");
            Property(t => t.trans_d22).HasColumnName("trans_d22");
            Property(t => t.trans_d23).HasColumnName("trans_d23");
            Property(t => t.trans_d24).HasColumnName("trans_d24");
            Property(t => t.trans_d25).HasColumnName("trans_d25");
            Property(t => t.trans_d26).HasColumnName("trans_d26");
            Property(t => t.trans_d27).HasColumnName("trans_d27");
            Property(t => t.trans_d28).HasColumnName("trans_d28");
            Property(t => t.trans_d29).HasColumnName("trans_d29");
            Property(t => t.trans_d30).HasColumnName("trans_d30");
            Property(t => t.trans_h1_v).HasColumnName("trans_h1_v");
            Property(t => t.trans_h2_v).HasColumnName("trans_h2_v");
            Property(t => t.trans_h3_v).HasColumnName("trans_h3_v");
            Property(t => t.trans_h4_v).HasColumnName("trans_h4_v");
            Property(t => t.trans_h5_v).HasColumnName("trans_h5_v");
            Property(t => t.trans_h6_v).HasColumnName("trans_h6_v");
            Property(t => t.trans_h7_v).HasColumnName("trans_h7_v");
            Property(t => t.trans_h8_v).HasColumnName("trans_h8_v");
            Property(t => t.trans_h9_v).HasColumnName("trans_h9_v");
            Property(t => t.trans_h10_v).HasColumnName("trans_h10_v");
            Property(t => t.trans_h11_v).HasColumnName("trans_h11_v");
            Property(t => t.trans_h12_v).HasColumnName("trans_h12_v");
            Property(t => t.trans_h13_v).HasColumnName("trans_h13_v");
            Property(t => t.trans_h14_v).HasColumnName("trans_h14_v");
            Property(t => t.trans_h15_v).HasColumnName("trans_h15_v");
            Property(t => t.trans_h16_v).HasColumnName("trans_h16_v");
            Property(t => t.trans_h17_v).HasColumnName("trans_h17_v");
            Property(t => t.trans_h18_v).HasColumnName("trans_h18_v");
            Property(t => t.trans_h19_v).HasColumnName("trans_h19_v");
            Property(t => t.trans_h20_v).HasColumnName("trans_h20_v");
            Property(t => t.trans_h21_v).HasColumnName("trans_h21_v");
            Property(t => t.trans_h22_v).HasColumnName("trans_h22_v");
            Property(t => t.trans_h23_v).HasColumnName("trans_h23_v");
            Property(t => t.trans_h24_v).HasColumnName("trans_h24_v");
            Property(t => t.trans_h25_v).HasColumnName("trans_h25_v");
            Property(t => t.trans_h26_v).HasColumnName("trans_h26_v");
            Property(t => t.trans_h27_v).HasColumnName("trans_h27_v");
            Property(t => t.trans_h28_v).HasColumnName("trans_h28_v");
            Property(t => t.trans_h29_v).HasColumnName("trans_h29_v");
            Property(t => t.trans_h30_v).HasColumnName("trans_h30_v");
            Property(t => t.trans_d1_v).HasColumnName("trans_d1_v");
            Property(t => t.trans_d2_v).HasColumnName("trans_d2_v");
            Property(t => t.trans_d3_v).HasColumnName("trans_d3_v");
            Property(t => t.trans_d4_v).HasColumnName("trans_d4_v");
            Property(t => t.trans_d5_v).HasColumnName("trans_d5_v");
            Property(t => t.trans_d6_v).HasColumnName("trans_d6_v");
            Property(t => t.trans_d7_v).HasColumnName("trans_d7_v");
            Property(t => t.trans_d8_v).HasColumnName("trans_d8_v");
            Property(t => t.trans_d9_v).HasColumnName("trans_d9_v");
            Property(t => t.trans_d10_v).HasColumnName("trans_d10_v");
            Property(t => t.trans_d11_v).HasColumnName("trans_d11_v");
            Property(t => t.trans_d12_v).HasColumnName("trans_d12_v");
            Property(t => t.trans_d13_v).HasColumnName("trans_d13_v");
            Property(t => t.trans_d14_v).HasColumnName("trans_d14_v");
            Property(t => t.trans_d15_v).HasColumnName("trans_d15_v");
            Property(t => t.trans_d16_v).HasColumnName("trans_d16_v");
            Property(t => t.trans_d17_v).HasColumnName("trans_d17_v");
            Property(t => t.trans_d18_v).HasColumnName("trans_d18_v");
            Property(t => t.trans_d19_v).HasColumnName("trans_d19_v");
            Property(t => t.trans_d20_v).HasColumnName("trans_d20_v");
            Property(t => t.trans_d21_v).HasColumnName("trans_d21_v");
            Property(t => t.trans_d22_v).HasColumnName("trans_d22_v");
            Property(t => t.trans_d23_v).HasColumnName("trans_d23_v");
            Property(t => t.trans_d24_v).HasColumnName("trans_d24_v");
            Property(t => t.trans_d25_v).HasColumnName("trans_d25_v");
            Property(t => t.trans_d26_v).HasColumnName("trans_d26_v");
            Property(t => t.trans_d27_v).HasColumnName("trans_d27_v");
            Property(t => t.trans_d28_v).HasColumnName("trans_d28_v");
            Property(t => t.trans_d29_v).HasColumnName("trans_d29_v");
            Property(t => t.trans_d30_v).HasColumnName("trans_d30_v");
            Property(t => t.trans_value1_v).HasColumnName("trans_value1_v");
            Property(t => t.trans_value2_v).HasColumnName("trans_value2_v");
            Property(t => t.trans_value3_v).HasColumnName("trans_value3_v");
            Property(t => t.trans_value4_v).HasColumnName("trans_value4_v");
            Property(t => t.trans_value5_v).HasColumnName("trans_value5_v");
            Property(t => t.trans_value6_v).HasColumnName("trans_value6_v");
            Property(t => t.trans_value7_v).HasColumnName("trans_value7_v");
            Property(t => t.trans_value8_v).HasColumnName("trans_value8_v");
            Property(t => t.trans_value9_v).HasColumnName("trans_value9_v");
            Property(t => t.trans_value10_v).HasColumnName("trans_value10_v");
            Property(t => t.trans_value11_v).HasColumnName("trans_value11_v");
            Property(t => t.trans_value12_v).HasColumnName("trans_value12_v");
            Property(t => t.trans_value13_v).HasColumnName("trans_value13_v");
            Property(t => t.trans_value14_v).HasColumnName("trans_value14_v");
            Property(t => t.trans_value15_v).HasColumnName("trans_value15_v");
            Property(t => t.trans_value16_v).HasColumnName("trans_value16_v");
            Property(t => t.trans_value17_v).HasColumnName("trans_value17_v");
            Property(t => t.trans_value18_v).HasColumnName("trans_value18_v");
            Property(t => t.trans_value19_v).HasColumnName("trans_value19_v");
            Property(t => t.trans_value20_v).HasColumnName("trans_value20_v");
            Property(t => t.trans_value21_v).HasColumnName("trans_value21_v");
            Property(t => t.trans_value22_v).HasColumnName("trans_value22_v");
            Property(t => t.trans_value23_v).HasColumnName("trans_value23_v");
            Property(t => t.trans_value24_v).HasColumnName("trans_value24_v");
            Property(t => t.trans_value25_v).HasColumnName("trans_value25_v");
            Property(t => t.trans_value26_v).HasColumnName("trans_value26_v");
            Property(t => t.trans_value27_v).HasColumnName("trans_value27_v");
            Property(t => t.trans_value28_v).HasColumnName("trans_value28_v");
            Property(t => t.trans_value29_v).HasColumnName("trans_value29_v");
            Property(t => t.trans_value30_v).HasColumnName("trans_value30_v");
            Property(t => t.trans_value31_v).HasColumnName("trans_value31_v");
            Property(t => t.trans_value32_v).HasColumnName("trans_value32_v");
            Property(t => t.trans_value33_v).HasColumnName("trans_value33_v");
            Property(t => t.trans_value34_v).HasColumnName("trans_value34_v");
            Property(t => t.trans_value35_v).HasColumnName("trans_value35_v");
            Property(t => t.trans_value36_v).HasColumnName("trans_value36_v");
            Property(t => t.trans_value37_v).HasColumnName("trans_value37_v");
            Property(t => t.trans_value38_v).HasColumnName("trans_value38_v");
            Property(t => t.trans_value39_v).HasColumnName("trans_value39_v");
            Property(t => t.trans_value40_v).HasColumnName("trans_value40_v");
            Property(t => t.trans_value41_v).HasColumnName("trans_value41_v");
            Property(t => t.trans_value42_v).HasColumnName("trans_value42_v");
            Property(t => t.trans_value43_v).HasColumnName("trans_value43_v");
            Property(t => t.trans_value44_v).HasColumnName("trans_value44_v");
            Property(t => t.trans_value45_v).HasColumnName("trans_value45_v");
            Property(t => t.trans_value46_v).HasColumnName("trans_value46_v");
            Property(t => t.trans_value47_v).HasColumnName("trans_value47_v");
            Property(t => t.trans_value48_v).HasColumnName("trans_value48_v");
            Property(t => t.trans_value49_v).HasColumnName("trans_value49_v");
            Property(t => t.trans_value50_v).HasColumnName("trans_value50_v");
            Property(t => t.trans_value51_v).HasColumnName("trans_value51_v");
            Property(t => t.trans_value52_v).HasColumnName("trans_value52_v");
            Property(t => t.trans_value53_v).HasColumnName("trans_value53_v");
            Property(t => t.trans_value54_v).HasColumnName("trans_value54_v");
            Property(t => t.trans_value55_v).HasColumnName("trans_value55_v");
            Property(t => t.trans_value56_v).HasColumnName("trans_value56_v");
            Property(t => t.trans_value57_v).HasColumnName("trans_value57_v");
            Property(t => t.trans_value58_v).HasColumnName("trans_value58_v");
            Property(t => t.trans_value59_v).HasColumnName("trans_value59_v");
            Property(t => t.trans_value60_v).HasColumnName("trans_value60_v");
            Property(t => t.trans_parart).HasColumnName("trans_parart");
            Property(t => t.trans_plhres_or).HasColumnName("trans_plhres_or");
            Property(t => t.trans_oles_ergas).HasColumnName("trans_oles_ergas");
            Property(t => t.trans_cod_eid1).HasColumnName("trans_cod_eid1");
            Property(t => t.trans_cod_eid2).HasColumnName("trans_cod_eid2");
            Property(t => t.trans_cod_eid3).HasColumnName("trans_cod_eid3");
            Property(t => t.trans_eid_peript_asf).HasColumnName("trans_eid_peript_asf");
            Property(t => t.trans_pak_kal1).HasColumnName("trans_pak_kal1");
            Property(t => t.trans_pak_kal2).HasColumnName("trans_pak_kal2");
            Property(t => t.trans_pak_kal3).HasColumnName("trans_pak_kal3");
            Property(t => t.trans_ar_trieties).HasColumnName("trans_ar_trieties");
            Property(t => t.trans_ypok_ika_id).HasColumnName("trans_ypok_ika_id");
            Property(t => t.trans_fash_erg1).HasColumnName("trans_fash_erg1");
            Property(t => t.trans_fash_erg2).HasColumnName("trans_fash_erg2");
            Property(t => t.trans_fash_erg3).HasColumnName("trans_fash_erg3");
            Property(t => t.trans_kyr1).HasColumnName("trans_kyr1");
            Property(t => t.trans_kyr2).HasColumnName("trans_kyr2");
            Property(t => t.trans_kyr3).HasColumnName("trans_kyr3");
            Property(t => t.trans_apol_hm1).HasColumnName("trans_apol_hm1");
            Property(t => t.trans_apol_hm2).HasColumnName("trans_apol_hm2");
            Property(t => t.trans_apol_hm3).HasColumnName("trans_apol_hm3");
            Property(t => t.trans_hm_ergas1).HasColumnName("trans_hm_ergas1");
            Property(t => t.trans_hm_ergas2).HasColumnName("trans_hm_ergas2");
            Property(t => t.trans_hm_ergas3).HasColumnName("trans_hm_ergas3");
            Property(t => t.trans_fmy_v_n_ta).HasColumnName("trans_fmy_v_n_ta");
            Property(t => t.trans_fmy_an_n_ta).HasColumnName("trans_fmy_an_n_ta");
            Property(t => t.trans_fmy_par_n_ta).HasColumnName("trans_fmy_par_n_ta");
            Property(t => t.trans_fmy_v_o_ta).HasColumnName("trans_fmy_v_o_ta");
            Property(t => t.trans_fmy_an_o_ta).HasColumnName("trans_fmy_an_o_ta");
            Property(t => t.trans_fmy_par_o_ta).HasColumnName("trans_fmy_par_o_ta");
            Property(t => t.trans_actualized_day_labor).HasColumnName("trans_actualized_day_labor");
            Property(t => t.trans_non_actualized_day_labor).HasColumnName("trans_non_actualized_day_labor");
            Property(t => t.trans_total_pay_v).HasColumnName("trans_total_pay_v");
            Property(t => t.trans_date).HasColumnName("trans_date");
            Property(t => t.trans_kad).HasColumnName("trans_kad");
            Property(t => t.trans_finalize).HasColumnName("trans_finalize");
            Property(t => t.trans_status).HasColumnName("trans_status");
            Property(t => t.empl_erg_katast).HasColumnName("empl_erg_katast");
            Property(t => t.empl_kat_erg_katast).HasColumnName("empl_kat_erg_katast");
            Property(t => t.empl_mk).HasColumnName("empl_mk");
            Property(t => t.tekm_v).HasColumnName("tekm_v");
            Property(t => t.empl_hmer_adeia).HasColumnName("empl_hmer_adeia");
            Property(t => t.trans_birth_h).HasColumnName("trans_birth_h");
            Property(t => t.trans_birth_d).HasColumnName("trans_birth_d");
            Property(t => t.empl_calc_d_mon).HasColumnName("empl_calc_d_mon");
            Property(t => t.empl_calc_d_w).HasColumnName("empl_calc_d_w");
            Property(t => t.empl_calc_h_w).HasColumnName("empl_calc_h_w");
            Property(t => t.empl_calc_ores_w_sse).HasColumnName("empl_calc_ores_w_sse");
            Property(t => t.empl_ores_hmer).HasColumnName("empl_ores_hmer");
            Property(t => t.empl_pragmat_hmeromisth).HasColumnName("empl_pragmat_hmeromisth");
            Property(t => t.empl_bas_sal_value).HasColumnName("empl_bas_sal_value");
            Property(t => t.empl_bas_sal_sse).HasColumnName("empl_bas_sal_sse");
            Property(t => t.empl_bas_sal_tekm).HasColumnName("empl_bas_sal_tekm");
            Property(t => t.trans_anad_eee_v).HasColumnName("trans_anad_eee_v");
            Property(t => t.trans_anad_eee_colname).HasColumnName("trans_anad_eee_colname");
            Property(t => t.trans_h31).HasColumnName("trans_h31");
            Property(t => t.trans_h31_v).HasColumnName("trans_h31_v");
            Property(t => t.trans_h32).HasColumnName("trans_h32");
            Property(t => t.trans_h32_v).HasColumnName("trans_h32_v");
            Property(t => t.trans_h33).HasColumnName("trans_h33");
            Property(t => t.trans_h33_v).HasColumnName("trans_h33_v");
            Property(t => t.trans_h34).HasColumnName("trans_h34");
            Property(t => t.trans_h34_v).HasColumnName("trans_h34_v");
            Property(t => t.trans_h35).HasColumnName("trans_h35");
            Property(t => t.trans_h35_v).HasColumnName("trans_h35_v");
            Property(t => t.trans_h36).HasColumnName("trans_h36");
            Property(t => t.trans_h36_v).HasColumnName("trans_h36_v");
            Property(t => t.trans_h37).HasColumnName("trans_h37");
            Property(t => t.trans_h37_v).HasColumnName("trans_h37_v");
            Property(t => t.trans_h38).HasColumnName("trans_h38");
            Property(t => t.trans_h38_v).HasColumnName("trans_h38_v");
            Property(t => t.trans_h39).HasColumnName("trans_h39");
            Property(t => t.trans_h39_v).HasColumnName("trans_h39_v");
            Property(t => t.trans_h40).HasColumnName("trans_h40");
            Property(t => t.trans_h40_v).HasColumnName("trans_h40_v");
            Property(t => t.trans_h41).HasColumnName("trans_h41");
            Property(t => t.trans_h41_v).HasColumnName("trans_h41_v");
            Property(t => t.trans_h42).HasColumnName("trans_h42");
            Property(t => t.trans_h42_v).HasColumnName("trans_h42_v");
            Property(t => t.trans_h43).HasColumnName("trans_h43");
            Property(t => t.trans_h43_v).HasColumnName("trans_h43_v");
            Property(t => t.trans_h44).HasColumnName("trans_h44");
            Property(t => t.trans_h44_v).HasColumnName("trans_h44_v");
            Property(t => t.trans_h45).HasColumnName("trans_h45");
            Property(t => t.trans_h45_v).HasColumnName("trans_h45_v");
            Property(t => t.trans_h46).HasColumnName("trans_h46");
            Property(t => t.trans_h46_v).HasColumnName("trans_h46_v");
            Property(t => t.trans_h47).HasColumnName("trans_h47");
            Property(t => t.trans_h47_v).HasColumnName("trans_h47_v");
            Property(t => t.trans_h48).HasColumnName("trans_h48");
            Property(t => t.trans_h48_v).HasColumnName("trans_h48_v");
            Property(t => t.trans_h49).HasColumnName("trans_h49");
            Property(t => t.trans_h49_v).HasColumnName("trans_h49_v");
            Property(t => t.trans_h50).HasColumnName("trans_h50");
            Property(t => t.trans_h50_v).HasColumnName("trans_h50_v");
            Property(t => t.trans_h51).HasColumnName("trans_h51");
            Property(t => t.trans_h51_v).HasColumnName("trans_h51_v");
            Property(t => t.trans_h52).HasColumnName("trans_h52");
            Property(t => t.trans_h52_v).HasColumnName("trans_h52_v");
            Property(t => t.trans_h53).HasColumnName("trans_h53");
            Property(t => t.trans_h53_v).HasColumnName("trans_h53_v");
            Property(t => t.trans_h54).HasColumnName("trans_h54");
            Property(t => t.trans_h54_v).HasColumnName("trans_h54_v");
            Property(t => t.trans_h55).HasColumnName("trans_h55");
            Property(t => t.trans_h55_v).HasColumnName("trans_h55_v");
            Property(t => t.trans_h56).HasColumnName("trans_h56");
            Property(t => t.trans_h56_v).HasColumnName("trans_h56_v");
            Property(t => t.trans_h57).HasColumnName("trans_h57");
            Property(t => t.trans_h57_v).HasColumnName("trans_h57_v");
            Property(t => t.trans_h58).HasColumnName("trans_h58");
            Property(t => t.trans_h58_v).HasColumnName("trans_h58_v");
            Property(t => t.trans_h59).HasColumnName("trans_h59");
            Property(t => t.trans_h59_v).HasColumnName("trans_h59_v");
            Property(t => t.trans_h60).HasColumnName("trans_h60");
            Property(t => t.trans_h60_v).HasColumnName("trans_h60_v");
            Property(t => t.trans_h61).HasColumnName("trans_h61");
            Property(t => t.trans_h61_v).HasColumnName("trans_h61_v");
            Property(t => t.trans_value61_v).HasColumnName("trans_value61_v");
            Property(t => t.trans_h62).HasColumnName("trans_h62");
            Property(t => t.trans_h62_v).HasColumnName("trans_h62_v");
            Property(t => t.trans_value62_v).HasColumnName("trans_value62_v");
            Property(t => t.trans_h63).HasColumnName("trans_h63");
            Property(t => t.trans_h63_v).HasColumnName("trans_h63_v");
            Property(t => t.trans_value63_v).HasColumnName("trans_value63_v");
            Property(t => t.trans_h64).HasColumnName("trans_h64");
            Property(t => t.trans_h64_v).HasColumnName("trans_h64_v");
            Property(t => t.trans_value64_v).HasColumnName("trans_value64_v");
            Property(t => t.trans_h65).HasColumnName("trans_h65");
            Property(t => t.trans_h65_v).HasColumnName("trans_h65_v");
            Property(t => t.trans_value65_v).HasColumnName("trans_value65_v");
            Property(t => t.trans_h66).HasColumnName("trans_h66");
            Property(t => t.trans_h66_v).HasColumnName("trans_h66_v");
            Property(t => t.trans_value66_v).HasColumnName("trans_value66_v");
            Property(t => t.trans_h67).HasColumnName("trans_h67");
            Property(t => t.trans_h67_v).HasColumnName("trans_h67_v");
            Property(t => t.trans_value67_v).HasColumnName("trans_value67_v");
            Property(t => t.trans_h68).HasColumnName("trans_h68");
            Property(t => t.trans_h68_v).HasColumnName("trans_h68_v");
            Property(t => t.trans_value68_v).HasColumnName("trans_value68_v");
            Property(t => t.trans_h69).HasColumnName("trans_h69");
            Property(t => t.trans_h69_v).HasColumnName("trans_h69_v");
            Property(t => t.trans_value69_v).HasColumnName("trans_value69_v");
            Property(t => t.trans_h70).HasColumnName("trans_h70");
            Property(t => t.trans_h70_v).HasColumnName("trans_h70_v");
            Property(t => t.trans_value70_v).HasColumnName("trans_value70_v");
            Property(t => t.trans_h71).HasColumnName("trans_h71");
            Property(t => t.trans_h71_v).HasColumnName("trans_h71_v");
            Property(t => t.trans_value71_v).HasColumnName("trans_value71_v");
            Property(t => t.trans_h72).HasColumnName("trans_h72");
            Property(t => t.trans_h72_v).HasColumnName("trans_h72_v");
            Property(t => t.trans_value72_v).HasColumnName("trans_value72_v");
            Property(t => t.trans_h73).HasColumnName("trans_h73");
            Property(t => t.trans_h73_v).HasColumnName("trans_h73_v");
            Property(t => t.trans_value73_v).HasColumnName("trans_value73_v");
            Property(t => t.trans_h74).HasColumnName("trans_h74");
            Property(t => t.trans_h74_v).HasColumnName("trans_h74_v");
            Property(t => t.trans_value74_v).HasColumnName("trans_value74_v");
            Property(t => t.trans_h75).HasColumnName("trans_h75");
            Property(t => t.trans_h75_v).HasColumnName("trans_h75_v");
            Property(t => t.trans_value75_v).HasColumnName("trans_value75_v");
            Property(t => t.trans_h76).HasColumnName("trans_h76");
            Property(t => t.trans_h76_v).HasColumnName("trans_h76_v");
            Property(t => t.trans_value76_v).HasColumnName("trans_value76_v");
            Property(t => t.trans_h77).HasColumnName("trans_h77");
            Property(t => t.trans_h77_v).HasColumnName("trans_h77_v");
            Property(t => t.trans_value77_v).HasColumnName("trans_value77_v");
            Property(t => t.trans_h78).HasColumnName("trans_h78");
            Property(t => t.trans_h78_v).HasColumnName("trans_h78_v");
            Property(t => t.trans_value78_v).HasColumnName("trans_value78_v");
            Property(t => t.trans_h79).HasColumnName("trans_h79");
            Property(t => t.trans_h79_v).HasColumnName("trans_h79_v");
            Property(t => t.trans_value79_v).HasColumnName("trans_value79_v");
            Property(t => t.trans_h80).HasColumnName("trans_h80");
            Property(t => t.trans_h80_v).HasColumnName("trans_h80_v");
            Property(t => t.trans_value80_v).HasColumnName("trans_value80_v");
            Property(t => t.trans_h81).HasColumnName("trans_h81");
            Property(t => t.trans_h81_v).HasColumnName("trans_h81_v");
            Property(t => t.trans_value81_v).HasColumnName("trans_value81_v");
            Property(t => t.trans_h82).HasColumnName("trans_h82");
            Property(t => t.trans_h82_v).HasColumnName("trans_h82_v");
            Property(t => t.trans_value82_v).HasColumnName("trans_value82_v");
            Property(t => t.trans_h83).HasColumnName("trans_h83");
            Property(t => t.trans_h83_v).HasColumnName("trans_h83_v");
            Property(t => t.trans_value83_v).HasColumnName("trans_value83_v");
            Property(t => t.trans_h84).HasColumnName("trans_h84");
            Property(t => t.trans_h84_v).HasColumnName("trans_h84_v");
            Property(t => t.trans_value84_v).HasColumnName("trans_value84_v");
            Property(t => t.trans_h85).HasColumnName("trans_h85");
            Property(t => t.trans_h85_v).HasColumnName("trans_h85_v");
            Property(t => t.trans_value85_v).HasColumnName("trans_value85_v");
            Property(t => t.trans_h86).HasColumnName("trans_h86");
            Property(t => t.trans_h86_v).HasColumnName("trans_h86_v");
            Property(t => t.trans_value86_v).HasColumnName("trans_value86_v");
            Property(t => t.trans_h87).HasColumnName("trans_h87");
            Property(t => t.trans_h87_v).HasColumnName("trans_h87_v");
            Property(t => t.trans_value87_v).HasColumnName("trans_value87_v");
            Property(t => t.trans_h88).HasColumnName("trans_h88");
            Property(t => t.trans_h88_v).HasColumnName("trans_h88_v");
            Property(t => t.trans_value88_v).HasColumnName("trans_value88_v");
            Property(t => t.trans_h89).HasColumnName("trans_h89");
            Property(t => t.trans_h89_v).HasColumnName("trans_h89_v");
            Property(t => t.trans_value89_v).HasColumnName("trans_value89_v");
            Property(t => t.trans_h90).HasColumnName("trans_h90");
            Property(t => t.trans_h90_v).HasColumnName("trans_h90_v");
            Property(t => t.trans_value90_v).HasColumnName("trans_value90_v");
            Property(t => t.trans_date_reference).HasColumnName("trans_date_reference");
            Property(t => t.trans_d31).HasColumnName("trans_d31");
            Property(t => t.trans_d31_v).HasColumnName("trans_d31_v");
            Property(t => t.trans_d32).HasColumnName("trans_d32");
            Property(t => t.trans_d32_v).HasColumnName("trans_d32_v");
            Property(t => t.trans_d33).HasColumnName("trans_d33");
            Property(t => t.trans_d33_v).HasColumnName("trans_d33_v");
            Property(t => t.trans_d34).HasColumnName("trans_d34");
            Property(t => t.trans_d34_v).HasColumnName("trans_d34_v");
            Property(t => t.trans_d35).HasColumnName("trans_d35");
            Property(t => t.trans_d35_v).HasColumnName("trans_d35_v");
            Property(t => t.trans_d36).HasColumnName("trans_d36");
            Property(t => t.trans_d36_v).HasColumnName("trans_d36_v");
            Property(t => t.trans_d37).HasColumnName("trans_d37");
            Property(t => t.trans_d37_v).HasColumnName("trans_d37_v");
            Property(t => t.trans_d38).HasColumnName("trans_d38");
            Property(t => t.trans_d38_v).HasColumnName("trans_d38_v");
            Property(t => t.trans_d39).HasColumnName("trans_d39");
            Property(t => t.trans_d39_v).HasColumnName("trans_d39_v");
            Property(t => t.trans_d40).HasColumnName("trans_d40");
            Property(t => t.trans_d40_v).HasColumnName("trans_d40_v");
            Property(t => t.trans_d41).HasColumnName("trans_d41");
            Property(t => t.trans_d41_v).HasColumnName("trans_d41_v");
            Property(t => t.trans_d42).HasColumnName("trans_d42");
            Property(t => t.trans_d42_v).HasColumnName("trans_d42_v");
            Property(t => t.trans_d43).HasColumnName("trans_d43");
            Property(t => t.trans_d43_v).HasColumnName("trans_d43_v");
            Property(t => t.trans_d44).HasColumnName("trans_d44");
            Property(t => t.trans_d44_v).HasColumnName("trans_d44_v");
            Property(t => t.trans_d45).HasColumnName("trans_d45");
            Property(t => t.trans_d45_v).HasColumnName("trans_d45_v");
            Property(t => t.trans_d46).HasColumnName("trans_d46");
            Property(t => t.trans_d46_v).HasColumnName("trans_d46_v");
            Property(t => t.trans_d47).HasColumnName("trans_d47");
            Property(t => t.trans_d47_v).HasColumnName("trans_d47_v");
            Property(t => t.trans_d48).HasColumnName("trans_d48");
            Property(t => t.trans_d48_v).HasColumnName("trans_d48_v");
            Property(t => t.trans_d49).HasColumnName("trans_d49");
            Property(t => t.trans_d49_v).HasColumnName("trans_d49_v");
            Property(t => t.trans_d50).HasColumnName("trans_d50");
            Property(t => t.trans_d50_v).HasColumnName("trans_d50_v");
            Property(t => t.trans_d51).HasColumnName("trans_d51");
            Property(t => t.trans_d51_v).HasColumnName("trans_d51_v");
            Property(t => t.trans_d52).HasColumnName("trans_d52");
            Property(t => t.trans_d52_v).HasColumnName("trans_d52_v");
            Property(t => t.trans_d53).HasColumnName("trans_d53");
            Property(t => t.trans_d53_v).HasColumnName("trans_d53_v");
            Property(t => t.trans_d54).HasColumnName("trans_d54");
            Property(t => t.trans_d54_v).HasColumnName("trans_d54_v");
            Property(t => t.trans_d55).HasColumnName("trans_d55");
            Property(t => t.trans_d55_v).HasColumnName("trans_d55_v");
            Property(t => t.trans_d56).HasColumnName("trans_d56");
            Property(t => t.trans_d56_v).HasColumnName("trans_d56_v");
            Property(t => t.trans_d57).HasColumnName("trans_d57");
            Property(t => t.trans_d57_v).HasColumnName("trans_d57_v");
            Property(t => t.trans_d58).HasColumnName("trans_d58");
            Property(t => t.trans_d58_v).HasColumnName("trans_d58_v");
            Property(t => t.trans_d59).HasColumnName("trans_d59");
            Property(t => t.trans_d59_v).HasColumnName("trans_d59_v");
            Property(t => t.trans_d60).HasColumnName("trans_d60");
            Property(t => t.trans_d60_v).HasColumnName("trans_d60_v");
            Property(t => t.trans_eidik_eisf_perc).HasColumnName("trans_eidik_eisf_perc");
            Property(t => t.trans_eidik_eisf_kath_v).HasColumnName("trans_eidik_eisf_kath_v");
            Property(t => t.trans_eidik_eisf_v).HasColumnName("trans_eidik_eisf_v");
            Property(t => t.trans_kad2).HasColumnName("trans_kad2");
            Property(t => t.trans_kad3).HasColumnName("trans_kad3");
            Property(t => t.trans_aa_extra_months).HasColumnName("trans_aa_extra_months");
            Property(t => t.empl_autasfal).HasColumnName("empl_autasfal");
            Property(t => t.trans_eidik_eisf_v_temp).HasColumnName("trans_eidik_eisf_v_temp");
            Property(t => t.trans_fmy_an_n_ta_temp).HasColumnName("trans_fmy_an_n_ta_temp");
            Property(t => t.trans_fmy_par_n_ta_temp).HasColumnName("trans_fmy_par_n_ta_temp");
            Property(t => t.trans_fmy_an_o_ta_temp).HasColumnName("trans_fmy_an_o_ta_temp");
            Property(t => t.trans_fmy_par_o_ta_temp).HasColumnName("trans_fmy_par_o_ta_temp");
        }
    }
}
